Page MenuHomePhabricator

Upgrade ruflin/elastica to 2.3.1
Closed, ResolvedPublic

Description

After we've upgraded ES to 1.7.5 we should upgrade ruflin/elastica to 2.3.1

https://github.com/ruflin/Elastica/releases/tag/2.3.1
https://github.com/ruflin/Elastica/compare/2.2.1...2.3.1

Event Timeline

Reedy created this task.Feb 23 2016, 1:24 PM
Gehel reassigned this task from Gehel to dcausse.Feb 23 2016, 2:05 PM

Looks like it's a breaking change...

https://github.com/ruflin/Elastica/commit/c51800f26426076d782b6cc2cb37345b64a6e615#diff-e421c6a76338876301c98a5a7e95ab87R396

cause the query to fail, not sure to understand why they added this hack but this breaks our query :(

Change 279997 had a related patch set uploaded (by EBernhardson):
Support for Elastica 2.3.1

https://gerrit.wikimedia.org/r/279997

Change 279998 had a related patch set uploaded (by EBernhardson):
Bump Elastica requirement to 2.3.1

https://gerrit.wikimedia.org/r/279998

Tested with the above two patches and things look to be working, or at least it passes the browser test suite and I couldn't come up with anything odd while testing manually.

Reedy added a comment.Mar 28 2016, 8:58 PM

Let me know if you want me to rebase/reapply https://gerrit.wikimedia.org/r/#/c/260159/

Change 279997 merged by jenkins-bot:
Support for Elastica 2.3.1

https://gerrit.wikimedia.org/r/279997

Change 279998 merged by jenkins-bot:
Bump Elastica requirement to 2.3.1

https://gerrit.wikimedia.org/r/279998

Deskana closed this task as Resolved.Apr 5 2016, 10:53 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 5 2016, 10:53 PM